Bug 628504 - [abrt] fedpkg-0.5.1.2-2.fc13: fedpkg:120:display_state:TypeError: 'NoneType' object is unsubscriptable
Summary: [abrt] fedpkg-0.5.1.2-2.fc13: fedpkg:120:display_state:TypeError: 'NoneType' ...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fbbf1a87
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-30 09:00 UTC by Peter Robinson
Modified: 2013-01-10 06:11 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-19 21:04:49 UTC


Attachments (Terms of Use)
File: backtrace (657 bytes, text/plain)
2010-08-30 09:00 UTC, Peter Robinson
no flags Details

Description Peter Robinson 2010-08-30 09:00:39 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/fedpkg build
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.33.5-124.fc13.x86_64
package: fedpkg-0.5.1.2-2.fc13
reason: fedpkg:120:display_state:TypeError: 'NoneType' object is unsubscriptable
release: Fedora release 13 (Goddard)
time: 1282031596
uid: 500

backtrace
-----
fedpkg:120:display_state:TypeError: 'NoneType' object is unsubscriptable

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1062, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 335, in build
    return _watch_koji_tasks(mymodule.kojisession, [task_id], quiet=args.q)
  File "/usr/bin/fedpkg", line 232, in _watch_koji_tasks
    for t in tasks.values() if not t.is_done()]))
  File "/usr/bin/fedpkg", line 120, in display_state
    if info['state'] == koji.TASK_STATES['OPEN']:
TypeError: 'NoneType' object is unsubscriptable

Local variables in innermost frame:
info: None
self: <__main__.TaskWatcher object at 0x1e95f90>

Comment 1 Peter Robinson 2010-08-30 09:00:45 UTC
Created an attachment (id=441913)
File: backtrace

Comment 2 Jesse Keating 2010-08-31 21:47:45 UTC
I believe this is fixed in 0.5.1.3 or newer.  Also I think the traceback is coming out of koji stuff, koji libraries are trying to tell you about a task that doesn't exist yet.  I /think/ I catch this in newer builds, please re-open if I don't.

Comment 3 Alex Lancaster 2010-10-15 19:50:34 UTC
Still can reproduce this with fedpkg-0.5.1.4-1.fc14.noarch:


Package:    	fedpkg-0.5.1.4-1.fc14
Latest Crash:	Fri 15 Oct 2010 03:45:59 PM 
Command:    	/usr/bin/python /usr/bin/fedpkg build
Reason:     	fedpkg:120:display_state:TypeError: 'NoneType' object is not subscriptable
Comment:    	Full output:
		
		fedpkg build 
		Building emacs-common-ess-5.11-2.fc15 for dist-rawhide
		Created task: 2537366
		Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2537366
		Watching tasks (this may be safely interrupted)...
		^CTraceback (most recent call last):
		  File "/usr/bin/fedpkg", line 1086, in <module>
		    args.command(args)
		  File "/usr/bin/fedpkg", line 335, in build
		    return _watch_koji_tasks(mymodule.kojisession, [task_id], quiet=args.q)
		  File "/usr/bin/fedpkg", line 232, in _watch_koji_tasks
		    for t in tasks.values() if not t.is_done()]))
		  File "/usr/bin/fedpkg", line 120, in display_state
		    if info['state'] == koji.TASK_STATES['OPEN']:
		TypeError: 'NoneType' object is not subscriptable
		^C

Comment 4 Pierre-YvesChibon 2010-11-07 21:31:17 UTC
Package: fedpkg-0.5.1.4-5.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. git pull
2. fedpkg build
3. control + c while it was building


Comment
-----
I was building an update, I pressed control + c once to get back to the consol, it crashed.

PS: I was running two fedpkg build in two tab of my terminal and I control + c on both, no idea if that might be related

Comment 5 Jesse Keating 2010-12-01 22:34:34 UTC
Having two running is not likely related.  Probably still some issues down in the koji stack.  Will look at it.

Comment 6 Jesse Keating 2010-12-02 23:27:39 UTC
Found the bug, fixed it in both upstream koji and upstream fedpkg.

Comment 7 Ankur Sinha (FranciscoD) 2011-01-04 11:12:32 UTC
Package: fedpkg-0.5.1.4-5.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. pressed Ctrl C to interrupt watching the build task
2.
3.

Comment 8 Fedora Update System 2011-01-06 18:50:07 UTC
fedora-packager-0.5.2.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.el5

Comment 9 Fedora Update System 2011-01-06 19:01:12 UTC
fedora-packager-0.5.2.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc13

Comment 10 Fedora Update System 2011-01-06 19:03:36 UTC
fedora-packager-0.5.2.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc14

Comment 11 Fedora Update System 2011-01-07 17:35:12 UTC
fedora-packager-0.5.2.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.el5

Comment 12 Fedora Update System 2011-01-19 21:03:57 UTC
fedora-packager-0.5.2.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-01-31 15:52:10 UTC
fedora-packager-0.5.2.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-01-31 19:54:53 UTC
fedora-packager-0.5.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.